%define debug_package %{nil}
# % define __strip /bin/true

Name:				inja
Version:			3.3.0
Release:			1%{?dist}
Summary:			Inja is a template engine for modern C++
License:			MIT
URL:				https://github.com/pantor/inja
Source0:			v%{version}.tar.gz
BuildRequires:			gcc-c++
BuildRequires:			cmake
BuildRequires:			cmake-rpm-macros
BuildRequires:			nlohmann_json-devel

%description
Inja is a template engine for modern C++, loosely inspired by jinja for python.
It has an easy and yet powerful template syntax with all variables, loops,
conditions, includes, callbacks, and comments you need, nested and combined
as you like.

Inja uses the wonderful json library by nlohmann for data input. 

Most importantly, inja needs only two header files, which is (nearly) as trivial
as integration in C++ can get.

%package devel
Requires: %{name} = %{version}
Group: Development/Libraries/C and C++
Summary: Development files for inja
Requires:			nlohmann_json-devel

%description devel
Development files for inja.

%prep
%setup -q -n inja-%{version}

%build
%cmake \
    -DINJA_USE_EMBEDDED_JSON=OFF \
    -DBUILD_TESTING=OFF \
    -DINJA_BUILD_TESTS=OFF \
    -DBUILD_BENCHMARK=OFF

%cmake_build

%install
rm -rf %{buildroot}

%cmake_install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md LICENSE


%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/inja
%{_includedir}/inja/*

%dir /usr/lib/cmake/inja
/usr/lib/cmake/inja/*


%changelog
* Fri Feb 03 2017 Zoran Pericic
- Initial RPM release
